#
Summary: makes it so that outbound e-mail goes through the fnal.gov gateway
Name: zz_sendmail_fermi_gateway
Version: 2.1
Release: 1
License: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Vendor: Fermilab
Packager: Troy Dawson
requires: sendmail
prereq: sendmail-cf
BuildArch: noarch

%description
This rpm is designed to send outbound sendmail e-mail through the
fermilab e-mail gateway.

%files

%pre
if [ "$1" -ge "2" ] ; then
  grep D{MTAHost} /etc/mail/submit.cf | grep -q smtp.fnal.gov
  if [ "$?" = 0 ] ; then
	#
	# This modifies /etc/mail/submit.cf to remove the bad smtp.fnal.gov setting
	#
	cat /etc/mail/submit.mc | sed "s:FEATURE(\`msp', \`\[smtp.fnal.gov\]')dnl:FEATURE(\`msp', \`[127.0.0.1]')dnl:"  > /etc/mail/submit.mc.tmp
	mv -f /etc/mail/submit.mc.tmp /etc/mail/submit.mc
	m4 /etc/mail/submit.mc > /etc/mail/submit.cf
	/etc/init.d/sendmail condrestart
  fi
fi

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /etc/mail/sendmail.mc to turn off smart host
	#
	cat /etc/mail/sendmail.mc | sed "s:define(\`SMART_HOST',\`smtp.fnal.gov'):dnl define(\`SMART_HOST',\`smtp.your.provider'):"  > /etc/mail/sendmail.mc.tmp
	mv -f /etc/mail/sendmail.mc.tmp /etc/mail/sendmail.mc
	m4 /etc/mail/sendmail.mc > /etc/mail/sendmail.cf
	/etc/init.d/sendmail condrestart
fi

%triggerin -- sendmail
#
# This modifies /etc/mail/sendmail.mc to setup smart host to smtp.fnal.gov
#
cat /etc/mail/sendmail.mc | sed "s:dnl define(\`SMART_HOST', \`smtp.your.provider'):define(\`SMART_HOST',\`smtp.fnal.gov'):"  > /etc/mail/sendmail.mc.tmp
mv -f /etc/mail/sendmail.mc.tmp /etc/mail/sendmail.mc
m4 /etc/mail/sendmail.mc > /etc/mail/sendmail.cf
/etc/init.d/sendmail condrestart

%changelog
* Tue Dec 11 2007 Troy Dawson (dawson@fnal.gov) 2.1-1
- For SL 5 there is a space in the middle of the define statement
